Highlighted

Installing CF Builder 3 into Flash Builder 4.7

Contributor ,
Sep 20, 2016

Copy link to clipboard

Copied

Anyone know how to get Flash Builder 4.7 and ColdFusion Builder 3 working together in the same instance of Eclipse, rather than having them installed separately as two stand-alone programs?

Here's what I've done so far:

I have Flash Builder 4.7 installed as a stand-alone program, and I wanted to install CF Builder 3 into its instance of Eclipse, rather than installing CF Builder 3 as its own separate program.  I use ColdFusion in my Flex remoting stuff, and I often need to edit ColdFusion .CFC files while I'm working on Flex projects.  I had ColdFusion Builder 2 installed inside Flash Builder 4.7 on our old test-server with no problems...

For our new test-server, we purchased ColdFusion 11, and it came with ColdFusion Builder 3 for free, so I want to use that instead of the ColdFusion Builder 2 that I've been using.

I've installed Flash Builder 4.7 on our new test server, and it's working fine.  When I install ColdFusion Builder 3, I select "Eclipse Plugin installation" and then select the "C:\Program Files\Adobe\Adobe Flash Builder 4.7 (64 bit)" folder as the Eclipse folder.  (I have tried selecting "C:\Users\LMacNeill\Adobe Flash Builder 4.7\eclipse" as the eclipse folder, but then the installer comes back with "this is not a valid eclipse folder" for some reason.)

Anyway, the installer accepts "C:\Users\LMacNeill\Adobe Flash Builder 4.7" as a valid Eclipse folder, and it goes through its installation procedures -- the install log *says* it's successful.

But when I launch Flash Builder 4.7, I see no ColdFusion perspectives installed.  When I open a .CFC file, it does not recognize it as a ColdFusion file, it just thinks it's a regular text file.

On our old test-server, there was a file called "cfbuilder.link" that was created in the 'dropins' folder inside the Flash Buider 4.7 folder.  That file contained the path of the CF Builder 2 plugins.  So I recreated that file on the new test-server, and pointed it to the proper path for the CF Builder 3 plugins folder.  But that didn't work.  Still no CF Builder 3 inside Flash Builder 4.7.

Anyone know how to get Flash Builder 4.7 and ColdFusion Builder 3 working together in the same instance of Eclipse, rather than having them installed separately as two stand-alone programs?

Thanks,

Laurence MacNeill

Ball Ground, Georgia, USA

After a *lot* of installing and uninstalling of FB 4.7, CFB 3, and Eclipse of various versions, I have come to the conclusion that it is not possible to install ColdFusion Builder 3 and Flash Builder 4.7 into the same instance of Eclipse.

I am giving up and going back to ColdFusion Builder 2.  I had FB 4.7 and CFB 2 in the same Eclipse install on my old server.  I'll just have to live with the fact that I cannot upgrade to ColdFusion Builder 3 because Adobe is ridiculous and won't support Eclipse properly.

TOPICS
Builder

Views

406

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Installing CF Builder 3 into Flash Builder 4.7

Contributor ,
Sep 20, 2016

Copy link to clipboard

Copied

Anyone know how to get Flash Builder 4.7 and ColdFusion Builder 3 working together in the same instance of Eclipse, rather than having them installed separately as two stand-alone programs?

Here's what I've done so far:

I have Flash Builder 4.7 installed as a stand-alone program, and I wanted to install CF Builder 3 into its instance of Eclipse, rather than installing CF Builder 3 as its own separate program.  I use ColdFusion in my Flex remoting stuff, and I often need to edit ColdFusion .CFC files while I'm working on Flex projects.  I had ColdFusion Builder 2 installed inside Flash Builder 4.7 on our old test-server with no problems...

For our new test-server, we purchased ColdFusion 11, and it came with ColdFusion Builder 3 for free, so I want to use that instead of the ColdFusion Builder 2 that I've been using.

I've installed Flash Builder 4.7 on our new test server, and it's working fine.  When I install ColdFusion Builder 3, I select "Eclipse Plugin installation" and then select the "C:\Program Files\Adobe\Adobe Flash Builder 4.7 (64 bit)" folder as the Eclipse folder.  (I have tried selecting "C:\Users\LMacNeill\Adobe Flash Builder 4.7\eclipse" as the eclipse folder, but then the installer comes back with "this is not a valid eclipse folder" for some reason.)

Anyway, the installer accepts "C:\Users\LMacNeill\Adobe Flash Builder 4.7" as a valid Eclipse folder, and it goes through its installation procedures -- the install log *says* it's successful.

But when I launch Flash Builder 4.7, I see no ColdFusion perspectives installed.  When I open a .CFC file, it does not recognize it as a ColdFusion file, it just thinks it's a regular text file.

On our old test-server, there was a file called "cfbuilder.link" that was created in the 'dropins' folder inside the Flash Buider 4.7 folder.  That file contained the path of the CF Builder 2 plugins.  So I recreated that file on the new test-server, and pointed it to the proper path for the CF Builder 3 plugins folder.  But that didn't work.  Still no CF Builder 3 inside Flash Builder 4.7.

Anyone know how to get Flash Builder 4.7 and ColdFusion Builder 3 working together in the same instance of Eclipse, rather than having them installed separately as two stand-alone programs?

Thanks,

Laurence MacNeill

Ball Ground, Georgia, USA

After a *lot* of installing and uninstalling of FB 4.7, CFB 3, and Eclipse of various versions, I have come to the conclusion that it is not possible to install ColdFusion Builder 3 and Flash Builder 4.7 into the same instance of Eclipse.

I am giving up and going back to ColdFusion Builder 2.  I had FB 4.7 and CFB 2 in the same Eclipse install on my old server.  I'll just have to live with the fact that I cannot upgrade to ColdFusion Builder 3 because Adobe is ridiculous and won't support Eclipse properly.

TOPICS
Builder

Views

407

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Sep 20, 2016 0
Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

After a *lot* of installing and uninstalling of FB 4.7, CFB 3, and Eclipse of various versions, I have come to the conclusion that it is not possible to install ColdFusion Builder 3 and Flash Builder 4.7 into the same instance of Eclipse.

I am giving up and going back to ColdFusion Builder 2.  I had FB 4.7 and CFB 2 in the same Eclipse install on my old server.  I'll just have to live with the fact that I cannot upgrade to ColdFusion Builder 3 because Adobe is ridiculous and won't support Eclipse properly.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 23, 2016 0